import{s as H,n as M,o as W}from"../chunks/scheduler.16523b0d.js";import{S as A,i as G,g as _,s as l,r as $,A as U,h as u,f as r,c as p,j as w,u as z,x as L,k as C,y as O,a as t,v as E,d as j,t as N,w as k}from"../chunks/index.841805ba.js";import{D as V}from"../chunks/Docstring.736d6cc6.js";import{H as q,E as B}from"../chunks/EditOnGithub.e13b29e8.js";function J(S){let s,f,d,x,i,v,o,T="The Parameters for image scoring/regression are same as the parameters for image classification.",P,n,m,y,c,F="ImageRegressionParams is a configuration class for image regression training parameters.",b,g,I,h,R;return i=new q({props:{title:"Image Scoring/Regression Parameters",local:"autotrain.trainers.image_regression.params.ImageRegressionParams",headingTag:"h1"}}),m=new V({props:{name:"class autotrain.trainers.image_regression.params.ImageRegressionParams",anchor:"autotrain.trainers.image_regression.params.ImageRegressionParams",parameters:[{name:"data_path",val:": str = None"},{name:"model",val:": str = 'google/vit-base-patch16-224'"},{name:"username",val:": Optional = None"},{name:"lr",val:": float = 5e-05"},{name:"epochs",val:": int = 3"},{name:"batch_size",val:": int = 8"},{name:"warmup_ratio",val:": float = 0.1"},{name:"gradient_accumulation",val:": int = 1"},{name:"optimizer",val:": str = 'adamw_torch'"},{name:"scheduler",val:": str = 'linear'"},{name:"weight_decay",val:": float = 0.0"},{name:"max_grad_norm",val:": float = 1.0"},{name:"seed",val:": int = 42"},{name:"train_split",val:": str = 'train'"},{name:"valid_split",val:": Optional = None"},{name:"logging_steps",val:": int = -1"},{name:"project_name",val:": str = 'project-name'"},{name:"auto_find_batch_size",val:": bool = False"},{name:"mixed_precision",val:": Optional = None"},{name:"save_total_limit",val:": int = 1"},{name:"token",val:": Optional = None"},{name:"push_to_hub",val:": bool = False"},{name:"eval_strategy",val:": str = 'epoch'"},{name:"image_column",val:": str = 'image'"},{name:"target_column",val:": str = 'target'"},{name:"log",val:": str = 'none'"},{name:"early_stopping_patience",val:": int = 5"},{name:"early_stopping_threshold",val:": float = 0.01"}],parametersDescription:[{anchor:"autotrain.trainers.image_regression.params.ImageRegressionParams.data_path",description:"<strong>data_path</strong> (str) &#x2014; Path to the dataset.",name:"data_path"},{anchor:"autotrain.trainers.image_regression.params.ImageRegressionParams.model",description:"<strong>model</strong> (str) &#x2014; Name of the model to use. Default is &#x201C;google/vit-base-patch16-224&#x201D;.",name:"model"},{anchor:"autotrain.trainers.image_regression.params.ImageRegressionParams.username",description:"<strong>username</strong> (Optional[str]) &#x2014; Hugging Face Username.",name:"username"},{anchor:"autotrain.trainers.image_regression.params.ImageRegressionParams.lr",description:"<strong>lr</strong> (float) &#x2014; Learning rate. Default is 5e-5.",name:"lr"},{anchor:"autotrain.trainers.image_regression.params.ImageRegressionParams.epochs",description:"<strong>epochs</strong> (int) &#x2014; Number of training epochs. Default is 3.",name:"epochs"},{anchor:"autotrain.trainers.image_regression.params.ImageRegressionParams.batch_size",description:"<strong>batch_size</strong> (int) &#x2014; Training batch size. Default is 8.",name:"batch_size"},{anchor:"autotrain.trainers.image_regression.params.ImageRegressionParams.warmup_ratio",description:"<strong>warmup_ratio</strong> (float) &#x2014; Warmup proportion. Default is 0.1.",name:"warmup_ratio"},{anchor:"autotrain.trainers.image_regression.params.ImageRegressionParams.gradient_accumulation",description:"<strong>gradient_accumulation</strong> (int) &#x2014; Gradient accumulation steps. Default is 1.",name:"gradient_accumulation"},{anchor:"autotrain.trainers.image_regression.params.ImageRegressionParams.optimizer",description:"<strong>optimizer</strong> (str) &#x2014; Optimizer to use. Default is &#x201C;adamw_torch&#x201D;.",name:"optimizer"},{anchor:"autotrain.trainers.image_regression.params.ImageRegressionParams.scheduler",description:"<strong>scheduler</strong> (str) &#x2014; Scheduler to use. Default is &#x201C;linear&#x201D;.",name:"scheduler"},{anchor:"autotrain.trainers.image_regression.params.ImageRegressionParams.weight_decay",description:"<strong>weight_decay</strong> (float) &#x2014; Weight decay. Default is 0.0.",name:"weight_decay"},{anchor:"autotrain.trainers.image_regression.params.ImageRegressionParams.max_grad_norm",description:"<strong>max_grad_norm</strong> (float) &#x2014; Max gradient norm. Default is 1.0.",name:"max_grad_norm"},{anchor:"autotrain.trainers.image_regression.params.ImageRegressionParams.seed",description:"<strong>seed</strong> (int) &#x2014; Random seed. Default is 42.",name:"seed"},{anchor:"autotrain.trainers.image_regression.params.ImageRegressionParams.train_split",description:"<strong>train_split</strong> (str) &#x2014; Train split name. Default is &#x201C;train&#x201D;.",name:"train_split"},{anchor:"autotrain.trainers.image_regression.params.ImageRegressionParams.valid_split",description:"<strong>valid_split</strong> (Optional[str]) &#x2014; Validation split name.",name:"valid_split"},{anchor:"autotrain.trainers.image_regression.params.ImageRegressionParams.logging_steps",description:"<strong>logging_steps</strong> (int) &#x2014; Logging steps. Default is -1.",name:"logging_steps"},{anchor:"autotrain.trainers.image_regression.params.ImageRegressionParams.project_name",description:"<strong>project_name</strong> (str) &#x2014; Output directory name. Default is &#x201C;project-name&#x201D;.",name:"project_name"},{anchor:"autotrain.trainers.image_regression.params.ImageRegressionParams.auto_find_batch_size",description:"<strong>auto_find_batch_size</strong> (bool) &#x2014; Whether to auto find batch size. Default is False.",name:"auto_find_batch_size"},{anchor:"autotrain.trainers.image_regression.params.ImageRegressionParams.mixed_precision",description:"<strong>mixed_precision</strong> (Optional[str]) &#x2014; Mixed precision type (fp16, bf16, or None).",name:"mixed_precision"},{anchor:"autotrain.trainers.image_regression.params.ImageRegressionParams.save_total_limit",description:"<strong>save_total_limit</strong> (int) &#x2014; Save total limit. Default is 1.",name:"save_total_limit"},{anchor:"autotrain.trainers.image_regression.params.ImageRegressionParams.token",description:"<strong>token</strong> (Optional[str]) &#x2014; Hub Token.",name:"token"},{anchor:"autotrain.trainers.image_regression.params.ImageRegressionParams.push_to_hub",description:"<strong>push_to_hub</strong> (bool) &#x2014; Whether to push to hub. Default is False.",name:"push_to_hub"},{anchor:"autotrain.trainers.image_regression.params.ImageRegressionParams.eval_strategy",description:"<strong>eval_strategy</strong> (str) &#x2014; Evaluation strategy. Default is &#x201C;epoch&#x201D;.",name:"eval_strategy"},{anchor:"autotrain.trainers.image_regression.params.ImageRegressionParams.image_column",description:"<strong>image_column</strong> (str) &#x2014; Image column name. Default is &#x201C;image&#x201D;.",name:"image_column"},{anchor:"autotrain.trainers.image_regression.params.ImageRegressionParams.target_column",description:"<strong>target_column</strong> (str) &#x2014; Target column name. Default is &#x201C;target&#x201D;.",name:"target_column"},{anchor:"autotrain.trainers.image_regression.params.ImageRegressionParams.log",description:"<strong>log</strong> (str) &#x2014; Logging using experiment tracking. Default is &#x201C;none&#x201D;.",name:"log"},{anchor:"autotrain.trainers.image_regression.params.ImageRegressionParams.early_stopping_patience",description:"<strong>early_stopping_patience</strong> (int) &#x2014; Early stopping patience. Default is 5.",name:"early_stopping_patience"},{anchor:"autotrain.trainers.image_regression.params.ImageRegressionParams.early_stopping_threshold",description:"<strong>early_stopping_threshold</strong> (float) &#x2014; Early stopping threshold. Default is 0.01.",name:"early_stopping_threshold"}],source:"https://github.com/huggingface/autotrain-advanced/blob/v0.8.21/src/autotrain/trainers/image_regression/params.py#L8"}}),g=new B({props:{source:"https://github.com/huggingface/autotrain-advanced/blob/main/docs/source/params/image_regression_params.mdx"}}),{c(){s=_("meta"),f=l(),d=_("p"),x=l(),$(i.$$.fragment),v=l(),o=_("p"),o.textContent=T,P=l(),n=_("div"),$(m.$$.fragment),y=l(),c=_("p"),c.textContent=F,b=l(),$(g.$$.fragment),I=l(),h=_("p"),this.h()},l(a){const e=U("svelte-u9bgzb",document.head);s=u(e,"META",{name:!0,content:!0}),e.forEach(r),f=p(a),d=u(a,"P",{}),w(d).forEach(r),x=p(a),z(i.$$.fragment,a),v=p(a),o=u(a,"P",{"data-svelte-h":!0}),L(o)!=="svelte-f87xwt"&&(o.textContent=T),P=p(a),n=u(a,"DIV",{class:!0});var D=w(n);z(m.$$.fragment,D),y=p(D),c=u(D,"P",{"data-svelte-h":!0}),L(c)!=="svelte-xdj7e2"&&(c.textContent=F),D.forEach(r),b=p(a),z(g.$$.fragment,a),I=p(a),h=u(a,"P",{}),w(h).forEach(r),this.h()},h(){C(s,"name","hf:doc:metadata"),C(s,"content",K),C(n,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(a,e){O(document.head,s),t(a,f,e),t(a,d,e),t(a,x,e),E(i,a,e),t(a,v,e),t(a,o,e),t(a,P,e),t(a,n,e),E(m,n,null),O(n,y),O(n,c),t(a,b,e),E(g,a,e),t(a,I,e),t(a,h,e),R=!0},p:M,i(a){R||(j(i.$$.fragment,a),j(m.$$.fragment,a),j(g.$$.fragment,a),R=!0)},o(a){N(i.$$.fragment,a),N(m.$$.fragment,a),N(g.$$.fragment,a),R=!1},d(a){a&&(r(f),r(d),r(x),r(v),r(o),r(P),r(n),r(b),r(I),r(h)),r(s),k(i,a),k(m),k(g,a)}}}const K='{"title":"Image Scoring/Regression Parameters","local":"autotrain.trainers.image_regression.params.ImageRegressionParams","sections":[],"depth":1}';function Q(S){return W(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class ea extends A{constructor(s){super(),G(this,s,Q,J,H,{})}}export{ea as component};
